/*                                                                                                                                                                                                          
 * AM users svc for dgrid                                                                                                                                                                                   
 */
/*jslint nomen: true, unparam: true, sloppy: true, vars: true, browser: true */
/*global define: true, portal_cdn: true, portal_url: true */
define([
  "dojox/rpc/Service",
  "dojox/rpc/JsonRPC"
], function (RpcService, JsonRPC) {
           var raw = window.location.href;
           var args = raw.split('?');
           if(args.length>1){
               raw = args[0];
           }

           var vurl = raw.split('@@');
           if(vurl.length==2){
               vurl = vurl[0];
           }
           function endsWith(str, suffix) {
               return str.indexOf(suffix, str.length - suffix.length) !== -1;
           }

           if (!endsWith(vurl, "/")){
               vurl += "/";
           }

           vurl += "@@history.rpc";

           return new RpcService({
                   transport: "POST",
                       envelope: "JSON-RPC-2.0",
                       strictParameters: false,
                       //target: "./@@users.rpc",                       
                       target: vurl,
                       parameters: {
                       appId: {},
                           outputType: {
                           "default": "json"
                               },
                           ignoreErrors: {
                           optional: true
                               }
                   },
                       services: {
                       'query': {
                           parameters: [{
                                   'name': "select",
                                   'type': "object",
                                   'optional': true
                                   }]
                               }

                       }
                   });
       });
