/*
 * AM iMis svc for dgrid
 */
/*jslint nomen: true, unparam: true, sloppy: true, vars: true, browser: true */
/*global define: true, portal_cdn: true, portal_url: true */
define([
  "dojox/rpc/Service",
  "dojox/rpc/JsonRPC"
], function (RpcService, JsonRPC) {
  return new RpcService({
    transport: "POST",
    envelope: "JSON-RPC-2.0",
    strictParameters: false,
    target: "@@imis.rpc",
    parameters: {
      appId: {},
      outputType: {
        "default": "json"
      },
      ignoreErrors: {
        optional: true
      }
    },
    services: {
      'query': {
        parameters: [{
          'name': "select",
          'type': "object",
          'optional': true
        }]
      },

      'queryFiles': {
        parameters: [{
          'name': "select",
          'type': "object",
          'optional': true
        }]
      },

      'deleteEntry': {
        parameters: [{
          'name': "select",
          'type': "object",
          'optional': true
        }
            ]},

      'deleteFile': {
        parameters: [{
          'name': "select",
          'type': "object",
          'optional': true
        }
            ]},


          }
  });
       });
