/*
 * am SVC (jsonRPC)
 */
/*jslint nomen: true, unparam: true, sloppy: true, vars: true, browser: true, indent: 4 */
/*global define: true */

define(['dojo/has', 'dojox/rpc/Service', 'dojox/rpc/JsonRPC'], function(has, RpcService, JsonRPC) {
	return new RpcService({
		transport: 'POST',
		envelope: 'JSON-RPC-2.0',
		strictParameters: false,
		target: './@@completion.rpc',
		sync: false,
		parameters: {
			appId: {},
			outputType: {
				default: 'json'
			},
			ignoreErrors: {
				optional: true
			}
		},

		services: {
			posttest_completion: {
				parameters: [
					{
						name: 'product_id',
						type: 'string',
						optional: true
					}
				]
			}
		}
	});
    });
