define(["dojo/dom", 
        "dojo/dom-construct",
        "dojo/dom-class",
        "dojo/dom-style",
        "dojo/json",
        "dojo/_base/array",
        "dijit/TitlePane", 
        "dijit/layout/ContentPane",
        "dojo/request"
        ], function(dom,
                    domConstruct,
                    domClass,
                    domStyle,
                    json,
                    array,
                    TitlePane,
                    ContentPane,
                    request
                    ){
           
            return function (assoc){
                console.log('loader');
                var nav_container = dom.byId('sidenav');
                var jsonurl = './@@sidenav.json';
                if (assoc  != undefined ){
                    jsonurl = "/Site/prc/" + assoc + "/@@sidenav.json" ;
                    var nav_container = dom.byId(assoc + '-nav');
                }
                if (nav_container == undefined){
                    return
                }

                request(jsonurl, {'preventCache':true}).then(function(data){

                        if (data.search('<html') != -1){
                            window.location = '/Site/prc/login_form';
                            return
                        }

                        nav_container.innerHTML = ""
                        var results  = json.parse(data);
                        

                        var open_node = '';
                        var url = window.location.href.split('Site')[1];
                        var url = window.location.pathname
                        
                        array.forEach(results.buttons, function(item) {
                                var tp = new TitlePane({
                                        title: item.title, 
                                        open: false,
                                        tooltip: item.url,
                                        duration: 250
                                    }, domConstruct.create('div', {}, nav_container));
                                

                                domClass.add(tp.titleNode, 'whiteoverride');
                                domStyle.set(tp.arrowNode, 'display', 'none');

                                if (item.subnavmenuitems.length > 0){
                                    array.forEach(item.subnavmenuitems, function(sub) {
                                            var cp =  new ContentPane({
                                                    content:sub.title,
                                                    tooltip: sub.url
                                                });
                                            tp.addChild(cp);
                                            if (sub.url != ''){
                                                iurl = sub.url.split('Site')[1];
                                                if (sub.url == url){
                                                    // Current context set to active
                                                    tp.set('open', true);
                                                    console.log('current');
                                                    domClass.add(cp.domNode, 'activePane');
                                                }
                                            }
                                            cp.on('click', function(){
                                                    window.location = sub.url;
                                                });
                                        });
                                    
                                }else{
                                    if (item.url != ''){
                                        //iurl = item.url.split('Site')[1];
                                        if (url == item.url){
                                            // Current context set to active
                                            domClass.add(tp.domNode.childNodes[1], 'activePaneDark');
                                        }
                                    }
                                    tp.set('toggleable', false);
                                    tp.on('click', function(){
                                            window.location = item.url;
                                        });
                                } // else
                                
                                tp.on('show', function(){
                                        if ((open_node != '') && (open_node != tp)){
                                            open_node.set('open', false);
                                        }
                                        open_node = tp;
                                    });
                                tp.startup();
                            }); // array.forEach

                        
                        // Create link navigation
                        var links = domConstruct.create("ul", {class: "nav"}, nav_container);
                        array.forEach(results.links, function(link){
                                var lnk = domConstruct.create("li", {id: link.id}, links);
                                domConstruct.create("a", {href: link.url, title: link.title,innerHTML: link.title}, lnk);
                            });
                        
                    }); // request
                console.log('sidenav-loader.js');
                }; // function add_side_nav

        }); // require -end
